#ifndef DESCSS_EventAction_h
#define DESCSS_EventAction_h

#include "G4UserEventAction.hh"
#include "globals.hh"

class RunAction;

class EventAction : public G4UserEventAction {
public:
    EventAction(RunAction* runAction);
    ~EventAction() override;

    void BeginOfEventAction(const G4Event*) override;
    void EndOfEventAction(const G4Event*) override;

private:
    RunAction* fRunAction = nullptr;
    std::map<G4String, G4double> fEdep;
};

#endif